Subject: Re: git push default behaviour?

From: Miles Bader <[email-masked]>
Date: Mon, 19 Mar 2012 15:02:42 +0900

Jeremy Morton <[email-masked]> writes:
> Obviously - but my point is that it needn't be so dangerous by
> default.  It tries to push all matching branches - is that really a
> more common requirement than pushing the current branch?

It isn't "so dangerous" by default -- you have to specify --force to
enter "danger" territory, and --force is very clearly a dangerous
option that needs to be approached carefully (someone who uses --force
blindly is going to quickly screw themselves regardless of the
defaults).

-miles

-- 
Zeal, n. A certain nervous disorder afflicting the young and inexperienced.